# DataSet

Namespace: **Wisej.Web.Ext.ChartJS**

Assembly: **Wisej.Web.Ext.ChartJS** (3.2.0.0)

Represents the data used by the [ChartJS](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.dataset.md) control to plot the chart. See [#line-chart-data-structure](http://www.chartjs.org/docs/#line-chart-data-structure) for additional information regarding the data structure of ChartJS.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataSet
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataSet
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/-MirBsnmjWIxMsN8l0Ms)DataSet()

Constructs a new instance of [DataSet](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.dataset.md).

## Properties

### ![](/files/-MirBsnmjWIxMsN8l0Ms)BackgroundColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): The fill color of the data set. What it fills is up to the chart type. (Default: `Color [Empty]`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)BorderColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): The border color of the data set. What it fills is up to the chart type. (Default: `Color [Empty]`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)BorderWidth

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): The width of the border in pixels. (Default: `0`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Data

[Object\[\]](https://docs.microsoft.com/en-us/dotnet/api/system.object): The data to plot. (Default: `null`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Formatted

[String\[\]](https://docs.microsoft.com/en-us/dotnet/api/system.string): Formatted representation of the data to plot displayed when [Display](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.optionsdatalabel.md#display) is true.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Hidden

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Hides the dataset. (Default: `False`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Label

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): The label for the dataset which appears in the legend and tooltips. (Default: `""`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Order

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): The drawing order of the dataset. Also affects order for stacking, tooltip, and legend. (Default: `0`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Type

[ChartType](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.charttype.md): Returns the type of chart that plots this type of [DataSet](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.dataset.md).

### ![](/files/-MirBsnmjWIxMsN8l0Ms)xAxisID

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Binds the [DataSet](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.dataset.md) to the specified x axis (Default: `""`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)yAxisID

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Binds the [DataSet](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.dataset.md) to the specified y axis (Default: `""`)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.dataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
